Permalink
Browse files

Update changelog/gemspec

  • Loading branch information...
1 parent 8ce4d05 commit 7feb61f70dd393f9fd6256fd85abc8c228be6edc @sqrrrl sqrrrl committed Jan 5, 2013
Showing with 21 additions and 10 deletions.
  1. +11 −0 CHANGELOG.md
  2. +10 −10 google-api-client.gemspec
View
11 CHANGELOG.md
@@ -1,3 +1,14 @@
+# 0.5.1
+
+* Apps strongly encouraged to set :application_name & :application_version when
+ initializing a client
+* JWT/service accounts moved to signet
+* Initial logging support for client
+* Fix PKCS12 loading on windows
+* Allow disabling auto-refresh of OAuth 2 access tokens
+* Compatibility with MultiJson >= 1.0.0 & Rails 3.2.8
+* Fix for body serialization when body doesn't respond to to_json
+
# 0.5.0
* Beta candidate, potential incompatible changes with how requests are processed.
View
20 google-api-client.gemspec
@@ -2,43 +2,43 @@
Gem::Specification.new do |s|
s.name = "google-api-client"
- s.version = "0.5.0"
+ s.version = "0.6.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bob Aman", "Steve Bazyl"]
- s.date = "2012-11-19"
+ s.date = "2013-01-04"
s.description = "The Google API Ruby Client makes it trivial to discover and access supported\nAPIs.\n"
s.email = "sbazyl@google.com"
s.executables = ["google-api"]
s.extra_rdoc_files = ["README.md"]
- s.files = ["lib/compat", "lib/compat/multi_json.rb", "lib/google", "lib/google/api_client", "lib/google/api_client.rb", "lib/google/api_client/auth", "lib/google/api_client/auth/jwt_asserter.rb", "lib/google/api_client/auth/key_utils.rb", "lib/google/api_client/auth/pkcs12.rb", "lib/google/api_client/batch.rb", "lib/google/api_client/client_secrets.rb", "lib/google/api_client/discovery", "lib/google/api_client/discovery.rb", "lib/google/api_client/discovery/api.rb", "lib/google/api_client/discovery/media.rb", "lib/google/api_client/discovery/method.rb", "lib/google/api_client/discovery/resource.rb", "lib/google/api_client/discovery/schema.rb", "lib/google/api_client/environment.rb", "lib/google/api_client/errors.rb", "lib/google/api_client/media.rb", "lib/google/api_client/reference.rb", "lib/google/api_client/request.rb", "lib/google/api_client/result.rb", "lib/google/api_client/service_account.rb", "lib/google/api_client/version.rb", "lib/google/inflection.rb", "spec/fixtures", "spec/fixtures/files", "spec/fixtures/files/privatekey.p12", "spec/fixtures/files/sample.txt", "spec/fixtures/files/secret.pem", "spec/google", "spec/google/api_client", "spec/google/api_client/batch_spec.rb", "spec/google/api_client/discovery_spec.rb", "spec/google/api_client/media_spec.rb", "spec/google/api_client/result_spec.rb", "spec/google/api_client/service_account_spec.rb", "spec/google/api_client_spec.rb", "spec/spec_helper.rb", "tasks/gem.rake", "tasks/git.rake", "tasks/metrics.rake", "tasks/spec.rake", "tasks/wiki.rake", "tasks/yard.rake", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "bin/google-api"]
+ s.files = ["lib/compat", "lib/compat/multi_json.rb", "lib/google", "lib/google/api_client", "lib/google/api_client.rb", "lib/google/api_client/auth", "lib/google/api_client/auth/installed_app.rb", "lib/google/api_client/auth/jwt_asserter.rb", "lib/google/api_client/auth/key_utils.rb", "lib/google/api_client/auth/pkcs12.rb", "lib/google/api_client/batch.rb", "lib/google/api_client/client_secrets.rb", "lib/google/api_client/discovery", "lib/google/api_client/discovery.rb", "lib/google/api_client/discovery/api.rb", "lib/google/api_client/discovery/media.rb", "lib/google/api_client/discovery/method.rb", "lib/google/api_client/discovery/resource.rb", "lib/google/api_client/discovery/schema.rb", "lib/google/api_client/environment.rb", "lib/google/api_client/errors.rb", "lib/google/api_client/logging.rb", "lib/google/api_client/media.rb", "lib/google/api_client/railtie.rb", "lib/google/api_client/reference.rb", "lib/google/api_client/request.rb", "lib/google/api_client/result.rb", "lib/google/api_client/service_account.rb", "lib/google/api_client/version.rb", "lib/google/inflection.rb", "spec/fixtures", "spec/fixtures/files", "spec/fixtures/files/privatekey.p12", "spec/fixtures/files/sample.txt", "spec/fixtures/files/secret.pem", "spec/google", "spec/google/api_client", "spec/google/api_client/batch_spec.rb", "spec/google/api_client/discovery_spec.rb", "spec/google/api_client/media_spec.rb", "spec/google/api_client/result_spec.rb", "spec/google/api_client/service_account_spec.rb", "spec/google/api_client_spec.rb", "spec/spec_helper.rb", "tasks/gem.rake", "tasks/git.rake", "tasks/metrics.rake", "tasks/spec.rake", "tasks/wiki.rake", "tasks/yard.rake", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "bin/google-api"]
s.homepage = "http://code.google.com/p/google-api-ruby-client/"
s.rdoc_options = ["--main", "README.md"]
s.require_paths = ["lib"]
- s.rubygems_version = "1.8.24"
+ s.rubygems_version = "1.8.10"
s.summary = "Package Summary"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<signet>, [">= 0.4.1"])
+ s.add_runtime_dependency(%q<signet>, [">= 0.4.4"])
s.add_runtime_dependency(%q<addressable>, [">= 2.3.2"])
s.add_runtime_dependency(%q<uuidtools>, [">= 2.1.0"])
s.add_runtime_dependency(%q<autoparse>, [">= 0.3.2"])
- s.add_runtime_dependency(%q<faraday>, ["~> 0.8.1"])
+ s.add_runtime_dependency(%q<faraday>, ["~> 0.8.4"])
s.add_runtime_dependency(%q<multi_json>, [">= 1.0.0"])
s.add_runtime_dependency(%q<extlib>, [">= 0.9.15"])
s.add_runtime_dependency(%q<jwt>, [">= 0.1.5"])
s.add_runtime_dependency(%q<launchy>, [">= 2.1.1"])
s.add_development_dependency(%q<rake>, [">= 0.9.0"])
s.add_development_dependency(%q<rspec>, [">= 2.11.0"])
else
- s.add_dependency(%q<signet>, [">= 0.4.1"])
+ s.add_dependency(%q<signet>, [">= 0.4.4"])
s.add_dependency(%q<addressable>, [">= 2.3.2"])
s.add_dependency(%q<uuidtools>, [">= 2.1.0"])
s.add_dependency(%q<autoparse>, [">= 0.3.2"])
- s.add_dependency(%q<faraday>, ["~> 0.8.1"])
+ s.add_dependency(%q<faraday>, ["~> 0.8.4"])
s.add_dependency(%q<multi_json>, [">= 1.0.0"])
s.add_dependency(%q<extlib>, [">= 0.9.15"])
s.add_dependency(%q<jwt>, [">= 0.1.5"])
@@ -47,11 +47,11 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rspec>, [">= 2.11.0"])
end
else
- s.add_dependency(%q<signet>, [">= 0.4.1"])
+ s.add_dependency(%q<signet>, [">= 0.4.4"])
s.add_dependency(%q<addressable>, [">= 2.3.2"])
s.add_dependency(%q<uuidtools>, [">= 2.1.0"])
s.add_dependency(%q<autoparse>, [">= 0.3.2"])
- s.add_dependency(%q<faraday>, ["~> 0.8.1"])
+ s.add_dependency(%q<faraday>, ["~> 0.8.4"])
s.add_dependency(%q<multi_json>, [">= 1.0.0"])
s.add_dependency(%q<extlib>, [">= 0.9.15"])
s.add_dependency(%q<jwt>, [">= 0.1.5"])

0 comments on commit 7feb61f

Please sign in to comment.